## org.eclipse.emf.cdo.session.remote
Interface CDORemoteSessionManager

All Superinterfaces:
  org.eclipse.net4j.util.container.IContainer<CDORemoteSession>, org.eclipse.net4j.util.event.INotifier

All Known Subinterfaces:
  InternalCDORemoteSessionManager

    public interface CDORemoteSessionManager

extends org.eclipse.net4j.util.container.IContainer<CDORemoteSession>

Since:
  2.0

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer
`org.eclipse.net4j.util.container.IContainer.Modifiable<E>`

Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier
`org.eclipse.net4j.util.event.INotifier.Introspection`

Method Summary
`CDOSession` `getLocalSession()`
`CDORemoteSession[]` `getRemoteSessions()`
`boolean` `isForceSubscription()`
`boolean` `isSubscribed()`
`void` `setForceSubscription(boolean forceSubscription)`

Methods inherited from interface org.eclipse.net4j.util.container.IContainer
`getElements, isEmpty`

Methods inherited from interface org.eclipse.net4j.util.event.INotifier
`addListener, removeListener`

Method Detail

### getLocalSession

    CDOSession getLocalSession()

### getRemoteSessions

    CDORemoteSession[] getRemoteSessions()

### isSubscribed

    boolean isSubscribed()

### isForceSubscription

    boolean isForceSubscription()

### setForceSubscription

    void setForceSubscription(boolean forceSubscription)

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.